Bug 631302

Summary: FTBFS coq-8.2pl1-1.fc12
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: coqAssignee: Alan Dunn <amdunn>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 14CC: amdunn, fedora-ocaml-list, steph
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: coq-8.3pl1-2.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-04-15 17:48:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 691896    
Bug Blocks: 596849    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log
none
Fix FTBFS with make 8.82 none

Description FTBFS 2010-09-07 14:19:27 EDT
coq-8.2pl1-1.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-09-07 14:19:30 EDT
Created an attachment (id=444846)
root.log

root.log for i386
Comment 2 FTBFS 2010-09-07 14:19:32 EDT
Created an attachment (id=444847)
build.log

build.log for i386
Comment 3 FTBFS 2010-09-07 14:19:33 EDT
Created an attachment (id=444848)
mock.log

mock.log for i386
Comment 4 FTBFS 2010-09-07 14:19:35 EDT
Created an attachment (id=444849)
root.log

root.log for x86_64
Comment 5 FTBFS 2010-09-07 14:19:36 EDT
Created an attachment (id=444850)
build.log

build.log for x86_64
Comment 6 FTBFS 2010-09-07 14:19:37 EDT
Created an attachment (id=444851)
mock.log

mock.log for x86_64
Comment 7 St├ęphane Glondu 2010-09-07 14:47:03 EDT
Created attachment 445505 [details]
Fix FTBFS with make 8.82

Well... the configure script is not very flexible about this... Attached is an untested patch. Could someone try it? If it's OK, I'll commit it upstream...
Comment 8 St├ęphane Glondu 2010-11-04 08:26:07 EDT
FYI, Coq 8.3 should build with make 3.82 + the following patch:

  https://gforge.inria.fr/scm/viewvc.php?view=rev&root=coq&revision=13566
Comment 9 Fedora Update System 2011-04-01 17:13:12 EDT
coq-8.3pl1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/coq-8.3pl1-1.fc15
Comment 10 Fedora Update System 2011-04-01 22:47:21 EDT
Package coq-8.3pl1-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing coq-8.3pl1-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/coq-8.3pl1-1.fc15
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2011-04-04 16:54:45 EDT
coq-8.3pl1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/coq-8.3pl1-2.fc15
Comment 12 Fedora Update System 2011-04-15 17:47:55 EDT
coq-8.3pl1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.